[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

What requires libgcc, actually?



Just a quick question for those who know:

The shared libs from libgcc: /lib/libgcc*so* are not required by
anything:

[root localhost ~]# rpm -q --whatrequires libgcc-4.4.1-2.fc11.i586
no package requires libgcc-4.4.1-2.fc11.i586

I have a vague memory that libstdc++ uses this runtime for e.g.
exception and that is why it's there.

Is libstdc++ missing a Requires: libgcc in it's spec, and/or are other
packages missing it as well?

It makes little sense to have a package installed that is not used
by anything....

Linus Walleij


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]